%define	name	libnet
%define	version	1.1.2.1
%define	release	1mdk

Summary:	A C library for portable packet creation
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.packetfactory.net/libnet/dist/%{name}-%{version}.tar.bz2
License:	BSD
Group:		System/Libraries
URL:		http://www.packetfactory.net/libnet/
BuildPreReq:	libpcap
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libtool

%description
Libnet is an API to help with the construction and handling of network
packets. It provides a portable framework for low-level network
packet writing and handling (use libnet in conjunction with libpcap and
you can write some really cool stuff).  Libnet includes packet creation
at the IP layer and at the link layer as well as a host of supplementary
and complementary functionalty. Libnet is avery handy with which to
write network tools and network test code.  See the manpage and sample
test code for more detailed information

%prep
%setup -n %{name} -q

%build

%configure --with-pf_packet=yes 

%make

# remove CVS files
find . -type 'd' -name "CVS" -print | xargs /bin/rm -rf

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

install -m755 %{name}-config -D $RPM_BUILD_ROOT%{_bindir}/%{name}-config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (0755,root,root,755)
%{_bindir}/*
%defattr(0644,root,root,755)
%doc doc/* 
%{_libdir}/*.a
%{_includedir}/libnet.h
%dir %{_includedir}/libnet
%{_includedir}/libnet/*

%changelog
* Thu Apr 15 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1.2.1-1mdk
- 1.1.2.1
- revamp %%install

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1.0-2mdk
- corrected license
- don't rm -rf $RPM_BUILD_ROOT in %%pre
- cosmetics

* Thu Feb 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0

* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2a-2mdk
- rebuild
- remove unwanted files

* Tue Nov 13 2001 Florin <florin@mandrakesoft.com> 1.0.2a-1mdk
- 1.0.2a

* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-7mdk
- fix permissions

* Sun Jul 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-6mdk
- rebuild

* Wed May 23 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.0.2-5mdk
- BuildRequires: libtool

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.2-4mdk
- Rebuild and up to 4mdk to get back the libnet main binary package.

* Tue Feb 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.2-2mdk
- fix the broken makefile which generated a broken rpm.
- no need to manually install libnet-config.

* Tue Feb 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.2-1mdk
- new and shiny source.
- put a versioning on the source tarball.
- put a url in the source tag.
- quiet setup so we don't get a load of crap.
- removed libpwrite.a -> libnet.a symbolic linking.
- removed buildroot before doing an %%install.
- use the install command, not mv, when installing the manual page.
- manually install libnet-config into /usr/bin.

* Fri Nov 10 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1b-4mdk
- more macros
- rebuild for gcc-2.96
- delete CVS files

* Thu Aug 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1b-3mdk
- add macros
- BM

* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1b-2mdk
- v1.0.1b

* Tue Mar 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- v1.0.1

* Sat Nov 13 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- first SPEC file for Mandrake.
